import argparse
version = '0.7.5'

parser = argparse.ArgumentParser()

parser.add_argument('-v', '--version', action='version', version=version)

# 1Desk instance information
parser.add_argument("-i", "--instance",
                    help="The URL of the 1Desk instance",
                    required=True)
parser.add_argument("-u", "--username",
                    help="Email address of user account to login",
                    required=True)
parser.add_argument("-p", "--password",
                    help="Password of user account to login",
                    required=True)
parser.add_argument("-c", "--client",
                    help="Client CODE in 1Desk instance, must exist, defaults to IPsoft if not given",
                    default="IPsoft",
                    required=False)
parser.add_argument("-f", "--category",
                    help="Category name in 1Desk instance, must exist in client given",
                    required=False)

# options
parser.add_argument("-l", "--log",
                    help="Option to set the log level",
                    required=False)
parser.add_argument("-d", "--directory",
                    help="Local directory to read/write automata from/to",
                    required=False)
parser.add_argument("-I", "--ignorecert",
                    help="Skip SSL verification to ignore certificate errors, only use with hostnames you trust!",
                    action="store_true",
                    required=False)
parser.add_argument("-g", "--ignoregenerated",
                    help="Ignores automata generated by tickets",
                    action="store_true",
                    required=False)
